<?php
/**
 * Admin core class
 */

namespace Parcelbroker\Admin;
use Parcelbroker;

class Core extends Parcelbroker\Parcelbroker{

	/**
	 * Get current order tracking ref
	 * @return String Tracking reference
	 */
	protected function getPostTracking()
	{
		global $post;
		if(!$post) return;
		return get_post_meta($post->ID, $this->parcelbrokerwc_tracking_key, true) ? get_post_meta($post->ID, $this->parcelbrokerwc_tracking_key, true) : '';
	}

	/**
	 * Get current order shipping method id
	 * @return int
	 */
	protected function getShippingMethodId()
	{
		global $post;
		if (!$post || $post->post_type !== 'shop_order') {
			return;
		}
		$order = new \WC_Order($post->ID);
		$shipping = $order->get_items( 'shipping' );
		return reset($shipping)->get_method_id();
	}

}