<?php
/**
 * Front end shipping courier selector
 * Handles front end shipping courier selection and requirements
 * NOT USED
 */
function ParcelbrokerShippingMethodInit()
{
	class ParcelbrokerShippingMethod extends WC_Shipping_Method
	{
		use \ParcelbrokerApiTrait;
        /**
         * Constructor for your shipping class
         *
         * @access public
         * @return void
         */

        public function __construct()
        {
        	$this->id = 'parcelbroker';
        	$this->title = __('ParcelBroker shipping broker');
        	$this->method_description = __('Shipping');
        	$this->enabled = 'yes';
        	$this->init();
        }

        /**
         * Init your settings
         *
         * @access public
         * @return  void
         */
        public function init()
        {
        	$this->init_form_fields();
        	$this->init_settings();

        	add_action('woocommerce_update_options_shipping_' . $this->id, array($this, 'process_admin_options'));
        }

        /**
         * calculate_shipping function.
         *
         * @access public
         * @param mixed $package
         * @return void
         */
        public function calculate_shipping( $package = array() )
        {
			$token = sha1(get_option($this->parcelbrokerwc_settings['api_token']) . '_publickey');
			$api_key = get_option($this->parcelbrokerwc_settings['api_key']);
			$uniqueid = wp_generate_password(100, false, false);
			$url = $this->parcelbrokerwc_api_url;

			$shop_city = get_option('woocommerce_store_city', null);
			$shop_postcode = get_option('woocommerce_store_postcode', null);
			$shop_country = get_option('woocommerce_default_country', null);

			$destination_city = $package['destination']['city'] ?: null;
			$destination_postcode = $package['destination']['postcode'] ?: null;
			$destination_country = $package['destination']['country'] ?: null;

			if ( !$destination_city || !$destination_postcode || !$destination_country ) {
				return array();
			}

			$shop_country = $shop_country == 'GB' ? 'UK_M' : $shop_country;
			$destination_country = $destination_country == 'GB' ? 'UK_M' : $destination_country;

			$collection_address = [
				'town' => $shop_city,
				'postcode' => $shop_postcode,
				'countrycode' => $shop_country
			];

			$delivery_address = [
				'town' => $destination_city,
				'postcode' => $destination_postcode,
				'countrycode' => $destination_country
			];

			$xml_response = $this->getApiShipping($collection_address, $delivery_address, $package['contents']);

			if(!$xml_response['header']['status'] == 'Success') {
				return array();
			}
			/*foreach($xml_response['services']['service'] as $service) {
				$rate = [
					'id' => 'pbwc:' . $service['rate_id'],
					'label' => $service['name'],
					'cost' => $service['total']
				];
				$this->add_rate($rate);
			}*/


        }
	}
}

//add_action('woocommerce_shipping_init', 'ParcelbrokerShippingMethodInit');

function addParcelbrokerShipping($methods)
{
	$methods['parcelbroker'] = 'ParcelbrokerShippingMethod';
	return $methods;
}

//add_filter( 'woocommerce_shipping_methods', 'addParcelbrokerShipping' );