var pbwcServiceList = null;
var pbwcSelectedService = null;
var pbwcSurchargeHanding = false;
var pbwcSurchargeCollection = null;
var pbwcSurchargeResidential = false;
var pbwcTotalPrice = 0;

jQuery(function($) {
	var parcelIdx = 0;
	var collectionDatePicker = null;
	$('[data-parcelbrokerwc="addParcel"]').on('click', function() { pbwcAddParcel() } );
	$('[data-parcelbrokerwc="populateFromOrder"]').on('click', function() { pbwcPopulateFromOrder() } );
	$('[data-parcelbrokerwc="fetchPricing"]').on('click', function() { pbwcGetPricing() } );
	$('[data-parcelbrokerwc="editParcels"]').on('click', pbwcEditParcels );
	$('[data-parcelbrokerwc-handling]').on('change', pbwcHandingSurcharge );
	$('[data-parcelbrokerwc-residential]').on('change', pbwcResidentialSurcharge );
	$('[data-parcelbrokerwc-collectiontype]').on('change', pbwcCollectionSurcharge );
	$('[data-parcelbrokerwc-book-collection]').on('click', pbwcBookCollection );
	$('[data-parcelbrokerwc-collection="country"]').on('change', pbwcUpdateStatePostcode );

	function pbwcAddParcel(parcelWeight = 1, parcelHeight = 1, parcelWidth = 1, parcelLength = 1 , parcelQty = 1) {
		var newContainer = $('<div>').attr('data-parcelbrokerwc-refidx', parcelIdx);
		var parcelContainer = $('<div>').addClass('parcel-container');
		$(newContainer).append(parcelContainer);

		var newDetail = $('<div>').addClass('parcel-detail').append(
			$('<label>').text(pbShippingAdmin.addParcel.parcelWeight + ' (kg)')
		).append(
			$('<input>').prop('type', 'number')
				.attr('min', 0)
				.val(parcelWeight)
				.attr('data-parcelbrokerwc-parcelidx', parcelIdx)
				.attr('data-parcelbrokerwc-data-type', 'weight')
				.attr('name', 'pbwc-parcel['+parcelIdx+'][weight]')
		);

		$(parcelContainer).append(newDetail);

		var newDetail = $('<div>').addClass('parcel-detail').append(
			$('<label>').text(pbShippingAdmin.addParcel.parcelHeight + ' (cm)')
		).append(
			$('<input>').prop('type', 'number')
				.attr('min', 0)
				.val(parcelHeight)
				.attr('data-parcelbrokerwc-parcelidx', parcelIdx)
				.attr('data-parcelbrokerwc-data-type', 'height')
				.attr('name', 'pbwc-parcel['+parcelIdx+'][height]')
		);

		$(parcelContainer).append(newDetail);

		var newDetail = $('<div>').addClass('parcel-detail').append(
			$('<label>').text(pbShippingAdmin.addParcel.parcelWidth + ' (cm)')
		).append(
			$('<input>').prop('type', 'number')
				.attr('min', 0)
				.val(parcelWidth)
				.attr('data-parcelbrokerwc-parcelidx', parcelIdx)
				.attr('data-parcelbrokerwc-data-type', 'width')
				.attr('name', 'pbwc-parcel['+parcelIdx+'][width]')
		);

		$(parcelContainer).append(newDetail);

		var newDetail = $('<div>').addClass('parcel-detail').append(
			$('<label>').text(pbShippingAdmin.addParcel.parcelLength + ' (cm)')
		).append(
			$('<input>').prop('type', 'number')
				.attr('min', 0)
				.val(parcelLength)
				.attr('data-parcelbrokerwc-parcelidx', parcelIdx)
				.attr('data-parcelbrokerwc-data-type', 'length')
				.attr('name', 'pbwc-parcel['+parcelIdx+'][length]')
		);

		$(parcelContainer).append(newDetail);

		var newDetail = $('<div>').addClass('parcel-detail').append(
			$('<label>').text(pbShippingAdmin.addParcel.qty)
		).append(
			$('<input>').prop('type', 'number')
				.attr('min', 0)
				.val(parcelQty)
				.attr('data-parcelbrokerwc-parcelidx', parcelIdx)
				.attr('data-parcelbrokerwc-data-type', 'qty')
				.attr('name', 'pbwc-parcel['+parcelIdx+'][qty]')
		);

		$(parcelContainer).append(newDetail);

		var removeParcel = $('<div>').append(
			$('<a>').text('Remove parcel').prop('href', '#').on('click', function(idx) {
				return function(e) {
					e.preventDefault();
					//$('[data-parcelbrokerwc-refidx="'+idx+'"]').remove()
					$(this).parent().parent().remove()
				}
			}(parcelIdx))
		);

		$(newContainer).append(removeParcel).append($('<hr>'));

		$('[data-parcelbrokerwc="parcels-container"]').append(newContainer);
		parcelIdx++;
	}

	function pbwcPopulateFromOrder() {
		var i = 0;
		for( i in itemList ) {
			var item = itemList[i];
			pbwcAddParcel(item.weight, item.height, item.width, item.length, item.qty);
		}
	}

	function pbwcGetPricing() {
		var i;
		var parcels = [];
		var error = false;
		var delivery = {};
		var collection = {};
		$('.parcelbrokerwc-error').removeClass('parcelbrokerwc-error')
		$('#fetch-service-error').remove();
		for( i = 0; i <= parcelIdx; i++ ) {
			if ( error ) {
				continue;
			}
			if(!$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="weight"]').length) {
				continue;
			}

			if(!$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="weight"]').val()) {
				$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="weight"]').addClass('parcelbrokerwc-error');
				error = true;
			}
			if(!$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="height"]').val()) {
				$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="height"]').addClass('parcelbrokerwc-error');
				error = true;
			}
			if(!$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="width"]').val()) {
				$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="width"]').addClass('parcelbrokerwc-error');
				error = true;
			}
			if(!$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="length"]').val()) {
				$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="length"]').addClass('parcelbrokerwc-error');
				error = true;
			}
			if(!$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="qty"]').val()) {
				$('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="qty"]').addClass('parcelbrokerwc-error');
				error = true;
			}

			parcels.push({
				weight : $('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="weight"]').val(),
				height : $('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="height"]').val(),
				width : $('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="width"]').val(),
				length : $('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="length"]').val(),
				qty : $('[data-parcelbrokerwc-parcelidx="'+i+'"][data-parcelbrokerwc-data-type="qty"]').val()
			})
		}

		delivery = {
			town : $('[data-parcelbrokerwc-delivery="town"]').val(),
			postcode : $('[data-parcelbrokerwc-delivery="postcode"]').val() ? $('[data-parcelbrokerwc-delivery="postcode"]').val() : $('[data-parcelbrokerwc-delivery="town"]').val(),
			countrycode : $('[data-parcelbrokerwc-delivery="country"]').val() == 'GB' ? 'UK_M' : $('[data-parcelbrokerwc-delivery="country"]').val()
		}

		$.each($('#parcelbrokerwc-shipping-prices').find('.validate-required'), function() {
			var tgtInput = $(this).find('input');
			if ( tgtInput[0] === undefined ) {
				tgtInput = $(this).find('select');
			}

			if(!$(tgtInput).val()) {
				$(tgtInput).addClass('parcelbrokerwc-error');
				error = true;
			}
		})

		collection = {
			town : $('[data-parcelbrokerwc-collection="town"]').val(),
			postcode : $('[data-parcelbrokerwc-collection="postcode"]').val() ? $('[data-parcelbrokerwc-collection="postcode"]').val() : $('[data-parcelbrokerwc-collection="town"]').val(),
			countrycode : $('[data-parcelbrokerwc-collection="country"]').val() == 'GB' ? 'UK_M' : $('[data-parcelbrokerwc-collection="country"]').val()
		}

		if ( error || !parcels.length ) {
			return;
		}
		$('[data-parcelbrokerwc="addParcel"]').prop('disabled', true);
		$('[data-parcelbrokerwc="fetchPricing"]').prop('disabled', true);
		$.ajax({
			url : ajaxurl,
			method : 'POST',
			data : {
				action : 'parcelbrokerwc_fetch_pricing',
				parcels : parcels,
				delivery : delivery,
				collection : collection
			},
			success : function(response) {
				$('[data-parcelbrokerwc="addParcel"]').prop('disabled', false);
				$('[data-parcelbrokerwc="fetchPricing"]').prop('disabled', false);
				if( response && response.service ) {
					pbwcPostPriceFetch(response.service);
				} else {
					var error = $('<p>').addClass('shipping-error').text(pbShippingAdmin.addParcel.serviceError).attr('id', 'fetch-service-error')
					if(response.error) {
						error = $('<p>').addClass('shipping-error').html('ERROR: ' + response.error).attr('id', 'fetch-service-error')
					}
					$('[data-parcelbrokerwc="parcels-container"]').after(error)
				}
			},
			error : function() {
				$('[data-parcelbrokerwc="addParcel"]').prop('disabled', false);
				$('[data-parcelbrokerwc="fetchPricing"]').prop('disabled', false);
				var error = $('<p>').addClass('shipping-error').text(pbShippingAdmin.addParcel.serviceError).attr('id', 'fetch-service-error')
				$('[data-parcelbrokerwc="parcels-container"]').after(error)
			}
		})
	}

	function pbwcPostPriceFetch(services) {
		$('#parcelbrokerwc-shipping-pricelist ul').html('');
		pbwcSelectedService = null;
		$('[data-parcelbrokerwc-service]').hide()
		$('[data-parcelbrokerwc-total]').hide()
		$('[data-parcelbrokerwc-book-collection]').prop('disabled', true);
		pbwcServiceList = services;
		$('#parcelbrokerwc-shipping-prices').hide();
		$('#parcelbrokerwc-shipping').show();
		var i = 0;
		for( i; i < services.length; i++ ) {
			var service = services[i];
			var vatExtra = '';
			if( service.customs == 'false' ) {
				vatExtra = ' inc VAT';
			}
			$('#parcelbrokerwc-shipping-pricelist ul').append(
				$('<li>').append(
					$('<label>').append(
						$('<input>')
							.attr('type', 'radio')
							.attr('name', 'pbwc-shipping')
							.val(service.rate_id + ':' + service.hash)
							.on('change', function( rate_id ) {
								return function() {
									pbwcRateSelect(rate_id);
								}
							}(service.rate_id))
					).append(
						document.createTextNode(service.name + ' - £' + service.total)
					).append(
						$('<small>').text(vatExtra)
					)
				)
			);
		}

		var collectionAddress = '';
		collectionAddress += $('[data-parcelbrokerwc-collection="name"]').val() + '<br>';
		if ($('[data-parcelbrokerwc-collection="company"]').val()) {
			collectionAddress += $('[data-parcelbrokerwc-collection="company"]').val() + '<br>';
		}
		collectionAddress += $('[data-parcelbrokerwc-collection="address_1"]').val() + '<br>';
		if ($('[data-parcelbrokerwc-collection="address_2"]').val()) {
			collectionAddress += $('[data-parcelbrokerwc-collection="address_2"]').val() + '<br>';
		}
		collectionAddress += $('[data-parcelbrokerwc-collection="town"]').val() + '<br>';
		collectionAddress += $('[data-parcelbrokerwc-collection="state"]').val() + '<br>';
		collectionAddress += $('[data-parcelbrokerwc-collection="postcode"]').val() + '<br>';
		collectionAddress += $('[data-parcelbrokerwc-collection="country"] option:selected').text() + '<br>';
		collectionAddress += $('[data-parcelbrokerwc-collection="phone"]').val() + '<br>';
		collectionAddress += $('[data-parcelbrokerwc-collection="email"]').val() + '<br>';

		$('#parcelbrokerwc-collection-address').html(collectionAddress);
		$(document).scrollTop( $("#parcelbrokerwc-shipping").offset().top - 100 );

	}

	function pbwcEditParcels(e) {
		e.preventDefault();
		$('#parcelbrokerwc-shipping-prices').show();
		$('#parcelbrokerwc-shipping').hide();
		$('#pbwc-collection-date').hide();
		$('#pbwc-collection-packaging').hide();
	}

	function pbwcHandingSurcharge( runCalc = true ) {
		if( pbwcSelectedService && pbwcSelectedService.surcharges && pbwcSelectedService.surcharges.handling ) {
			$('#pbwc-surcharge-handling').text('£' + pbwcSelectedService.surcharges.handling.toFixed(2) );
			if($('[name="packaging"]:checked').data('parcelbrokerwc-handling')) {
				$('[data-parcelbrokerwc-surcharge="handling"]').show();
				pbwcSurchargeHanding = true;
			} else {
				$('[data-parcelbrokerwc-surcharge="handling"]').hide();
				pbwcSurchargeHanding = false;
			}
		} else {
			$('[data-parcelbrokerwc-surcharge="handling"]').hide();
			pbwcSurchargeHanding = false;
		}
		if( runCalc ) {
			pbwcCalculateShipping();
		}
	}

	function pbwcResidentialSurcharge( runCalc = true ) {
		if( pbwcSelectedService && pbwcSelectedService.surcharges && pbwcSelectedService.surcharges.residential ) {
			$('#pbwc-surcharge-residential').text('£' + pbwcSelectedService.surcharges.residential.toFixed(2) );
			if($('[data-parcelbrokerwc-residential]').is(':checked')) {
				$('[data-parcelbrokerwc-surcharge="residential"]').show();
				pbwcSurchargeResidential = true;
			} else {
				$('[data-parcelbrokerwc-surcharge="residential"]').hide();
				pbwcSurchargeResidential = false;
			}
		} else {
			pbwcSurchargeResidential = false;
			$('[data-parcelbrokerwc-surcharge="residential"]').hide();
		}
		if (runCalc) {
			pbwcCalculateShipping();
		}
	}

	function pbwcCollectionSurcharge( runCalc = true ) {
		var collectDateVal = $('[name="pbwc-collection-date"]:checked').val();
		var collectDateData = $('[name="pbwc-collection-date"]:checked').data('parcelbrokerwc-collectiontype');
		if(collectDateData) {
			$('#collection_date').show();
			switch(collectDateVal) {
				case "additional-sameday":
				case "sameday":
				case "dropoff":
					var theDate = new Date();
					$( "#collection_date" ).datepicker("option", { minDate : theDate, maxDate : theDate }, "refresh");
					$( "#collection_date" ).prop('readonly', true);
				break;
				case "future":

					var notAvailable = false;
					var dateOffset = 0;
					var theDate = new Date();
					do {
						dateOffset++;
						var testDate = new Date(theDate);
						testDate.setDate(testDate.getDate()+dateOffset);
						notAvailable = noWeekendsOrHolidays(testDate)[0];
					} while(!notAvailable)

					var startDate = new Date(testDate);
					var endDate = new Date(testDate);
					endDate.setDate(startDate.getDate()+6);
					$( "#collection_date" ).datepicker("option", { minDate : startDate, maxDate : endDate }, "refresh");
					$( "#collection_date" ).prop('readonly', false);
				break;
			}
		} else {
			$('#collection_date').hide();
		}
		if( pbwcSelectedService && pbwcSelectedService.surcharges && pbwcSelectedService.surcharges.collection ) {
			if(collectDateData) {
				$('[data-parcelbrokerwc-surcharge="collection"]').show();
			} else {
				$('[data-parcelbrokerwc-surcharge="collection"]').hide();
			}


			switch(collectDateVal) {
				case "sameday":
					if(pbwcSelectedService.surcharges.collection.sameday) {
						$('#pbwc-surcharge-collection').text('£' + pbwcSelectedService.surcharges.collection.sameday.toFixed(2) );
					} else {
						$('[data-parcelbrokerwc-surcharge="collection"]').hide();
					}
				break;
				case "future":
					if(pbwcSelectedService.surcharges.collection.future) {
						$('#pbwc-surcharge-collection').text('£' + pbwcSelectedService.surcharges.collection.future.toFixed(2) );
					} else {
						$('[data-parcelbrokerwc-surcharge="collection"]').hide();
					}
				break;
				default:
					$('[data-parcelbrokerwc-surcharge="collection"]').hide();
				break;
			}
			pbwcSurchargeCollection = collectDateVal;
		} else {
			pbwcSurchargeCollection = null;
			$('[data-parcelbrokerwc-surcharge="collection"]').hide();
		}
		if (runCalc) {
			pbwcCalculateShipping();
		}

	}

	function pbwcRateSelect( rate_id ) {
		var i = 0;
		$('[data-parcelbrokerwc-book-collection]').prop('disabled', false);
		pbwcSelectedService = null;
		for(i; i < pbwcServiceList.length; i++) {
			if (rate_id == pbwcServiceList[i].rate_id) {
				pbwcSelectedService = pbwcServiceList[i];
			}
		}

		$('#pbwc-customs-use').val(pbwcSelectedService.customs);

		var scroll = false;
		if($('#pbwc-collection-date').is(':hidden')) {
			scroll = true;
		}


		$('#pbwc-collection-sameday').show();
		$('#pbwc-collection-future').show();
		$('#pbwc-collection-date').show();
		$('#pbwc-collection-packaging').show();
		if(scroll) {
			$(document).scrollTop( $("#parcelbrokerwc-shipping").offset().top - 100 );
		}

		var nowDate = new Date();
		if(pbwcSelectedService.cutoff && typeof(pbwcSelectedService.cutoff) === 'string') {
			var cutoffDate = new Date(nowDate.getFullYear() + '-' + (nowDate.getMonth() + 1) + '-' + nowDate.getDate() + ' ' + pbwcSelectedService.cutoff);

			if(nowDate > cutoffDate || !noWeekendsOrHolidays(nowDate)[0]) {
				$('#pbwc-collection-additional-sameday').hide();
				$('#pbwc-collection-sameday').hide();
				switch($('[name="pbwc-collection-date"]:checked').val()) {
					case "additional-sameday":
					case "sameday":
						$('[name="pbwc-collection-date"]:checked').prop('checked', false);
						$('[name="pbwc-collection-date"][value="dropoff"]').prop('checked', true);
					break;
				}
			} else {
				if(pbShippingAdmin.samedayCollection.indexOf(parseInt(pbwcSelectedService.rate_id)) >= 0) {
					$('#pbwc-collection-additional-sameday').show();
				} else {
					$('#pbwc-collection-additional-sameday').hide();
					if($('[name="pbwc-collection-date"]:checked').val() == 'additional-sameday' ) {
						$('[name="pbwc-collection-date"]:checked').prop('checked', false);
						$('[name="pbwc-collection-date"][value="dropoff"]').prop('checked', true);
					}
				}
				$('#pbwc-collection-sameday').show();


				if(!pbShippingAdmin.samedayCollection.includes(parseInt(pbwcSelectedService.rate_id))) {
					$('#pbwc-collection-sameday').hide();
					switch($('[name="pbwc-collection-date"]:checked').val()) {
						case "additional-sameday":
						case "sameday":
							$('[name="pbwc-collection-date"]:checked').prop('checked', false);
							$('[name="pbwc-collection-date"][value="dropoff"]').prop('checked', true);
						break;
					}
				}
			}


		} else if(typeof(pbwcSelectedService.cutoff) === 'object' && pbwcSelectedService.cutoff.length) {
			var i = 0;
			var curr = null;
			var cutoff = false;
			for( i in pbwcSelectedService.cutoff ) {
				curr = pbwcSelectedService.cutoff[i];
				var cutoffDate = new Date(nowDate.getFullYear() + '-' + (nowDate.getMonth() + 1) + '-' + nowDate.getDate() + ' ' + curr);
				if(nowDate > cutoffDate) {
					cutoff = true;
				}
			}

			if(cutoff) {
				$('#pbwc-collection-additional-sameday').hide();
				$('#pbwc-collection-sameday').hide();
				switch($('[name="pbwc-collection-date"]:checked').val()) {
					case "additional-sameday":
					case "sameday":
						$('[name="pbwc-collection-date"]:checked').prop('checked', false);
						$('[name="pbwc-collection-date"][value="dropoff"]').prop('checked', true);
					break;
				}
			}
		}

		if (pbShippingAdmin.dropoff.indexOf(parseInt(pbwcSelectedService.rate_id)) >= 0) {
			$('#pbwc-collection-additional-sameday').hide();
			$('#pbwc-collection-sameday').hide();
			$('#pbwc-collection-future').hide();
			$('[name="pbwc-collection-date"][value="dropoff"]').prop('checked', true);
		}

		pbwcResidentialSurcharge(false)
		pbwcCollectionSurcharge(false)
		pbwcHandingSurcharge(false)
		pbwcCalculateShipping();
	}

	function pbwcCalculateShipping() {
		if(!pbwcSelectedService) return;
		pbwcNET = parseFloat(pbwcSelectedService.net);
		pbwcVAT = parseFloat(pbwcSelectedService.vat);
		var useVAT = (pbwcSelectedService.customs == "false") ? true: false;
		$('[data-parcelbrokerwc-service]').show();
		$('[data-parcelbrokerwc-total]').show();
		if(useVAT) {
			$('[data-parcelbrokerwc-vat]').show()
			$('[data-parcelbrokerwc-customs]').hide();
		} else {
			$('[data-parcelbrokerwc-vat]').hide()
			$('[data-parcelbrokerwc-customs]').show();
		}
		$('#pbwc-service-charge').text('£' + pbwcNET.toFixed(2));
		if (pbwcSurchargeCollection != 'dropoff' && pbwcSurchargeCollection != null) {
			if(pbwcSelectedService.surcharges && pbwcSelectedService.surcharges.collection) {
				switch(pbwcSurchargeCollection) {
					case "future" :
						if( pbwcSelectedService.surcharges.collection.future ) {
							var surchargeCOlNet = pbwcSelectedService.surcharges.collection.future;
							var surchargeCOlVat = (surchargeCOlNet * 1.2) - surchargeCOlNet;

							pbwcNET += parseFloat(surchargeCOlNet);
							if(useVAT) {
								pbwcVAT += parseFloat(surchargeCOlVat)
							}
						}
					break;
					case "sameday":
						if( pbwcSelectedService.surcharges.collection.sameday ) {
							var surchargeCOlNet = pbwcSelectedService.surcharges.collection.sameday;
							var surchargeCOlVat = (surchargeCOlNet * 1.2) - surchargeCOlNet;
							pbwcNET += parseFloat(surchargeCOlNet);
							if(useVAT) {
								pbwcVAT += parseFloat(surchargeCOlVat)
							}
						}
					break;
				}
			}
		}

		if( pbwcSelectedService.surcharges && pbwcSelectedService.surcharges.handling && pbwcSurchargeHanding ) {
			var surchargeHandleNet = pbwcSelectedService.surcharges.handling;
			var surchargeHandleVat = (surchargeHandleNet * 1.2) - surchargeHandleNet;
			pbwcNET += parseFloat(surchargeHandleNet);
			if(useVAT) {
				pbwcVAT += parseFloat(surchargeHandleVat)
			}
		}

		if( pbwcSelectedService.surcharges && pbwcSelectedService.surcharges.residential && pbwcSurchargeResidential ) {
			var surchargeResNet = pbwcSelectedService.surcharges.residential;
			var surchargeResVat = (surchargeResNet * 1.2) - surchargeResNet;
			pbwcNET += parseFloat(surchargeResNet);
			if(useVAT) {
				pbwcVAT += parseFloat(surchargeResVat)
			}
		}
		pbwcNET = pbwcNET.toFixed(2);
		pbwcVAT = pbwcVAT.toFixed(2);
		pbwcTotal = (parseFloat(pbwcNET) + parseFloat(pbwcVAT)).toFixed(2);
		$('#pbwc-net').text('£' + pbwcNET);
		$('#pbwc-vat').text('£' + pbwcVAT);

		$('#pbwc-price').text('£' + pbwcTotal)
	}

	function pbwcBookCollection() {
		if($('.pbwc-booking-exists').length) {
			if( !confirm(pbShippingAdmin.bookingConfirmation) ) {
				return false;
			}
		}
	}

	function pbwcUpdateStatePostcode() {
		var countrycode = $('[data-parcelbrokerwc-collection="country"]').val(),
			postcode = $('[data-parcelbrokerwc-collection="postcode"]').val(),
			state = $('[data-parcelbrokerwc-collection="state"]').val();


		$.ajax({
			url : ajaxurl,
			method : 'POST',
			data : {
				action : 'parcelbrokerwc_update_state_postcode',
				countrycode : countrycode,
				postcode : postcode,
				state : state
			},
			beforeSend : function() {
				$('#collection-state-container').html('<p class="form-row" id="pbwc-delivery[email]_field" data-priority=""><i class="fa fa-spinner fa-spin fa-2x"></i></p>');
				$('#collection-postcode-container').html('');
			},
			success : function(response) {
				response = r;
				$('#collection-state-container').html(response.state);
				$('#collection-postcode-container').html(response.postcode);
			}

		});
	}

	collectionDatePicker = jQuery( "#collection_date" ).datepicker({
		dateFormat : 'dd/mm/yy',
		altField: "#collection_date_alt",
		altFormat: "yy-mm-dd",
		beforeShowDay: noWeekendsOrHolidays
	});

	function noWeekendsOrHolidays(date) {
		var noWeekend = $.datepicker.noWeekends(date);
		if (noWeekend[0]) {
		    return nationalDays(date);
		} else {
		    return noWeekend;
		}
	}

	function nationalDays(date) {
		var strDate = date.getFullYear() + '-' + ("0" + (date.getMonth() + 1)).slice(-2) + '-' + ("0" + date.getDate()).slice(-2);
	    for (i = 0; i < natDays.length; i++) {
			if (strDate == natDays[i].restriction_date) {
				return [false, 'day'];
			}
	    }
		return [true, ''];
	}

})
