<?php
/**
	Plugin Name:       ParcelBroker for Woocommerce
	Plugin URI:        https://wordpress.org/plugins/parcelbroker-for-woocommerce/
	Description:       ParcelBroker integration plugin
	Version:           1.0.5
	Author:            ParcelBroker
	Author URI:        https://parcelbroker.co.uk
	License:           GPL-2.0+
	License URI:       https://www.gnu.org/licenses/gpl-2.0.txt
 */

namespace Parcelbroker;
// If this file is accessed directory, then abort.
if (!defined('WPINC')) {
    die;
}

// Check whether woocommerce is active
if (!in_array('woocommerce/woocommerce.php',apply_filters('active_plugins', get_option( 'active_plugins')))) {
	define('NO_WOO', true);
} else {
	define('NO_WOO', false);
}

// Include the API class
require_once realpath(plugin_dir_path( __FILE__ )) . DIRECTORY_SEPARATOR . 'Parcelbroker/ParcelbrokerApiTrait.php';

// Class autoloader
spl_autoload_register( function ($class_name) {
	if (false !== strpos($class_name, 'Parcelbroker')) {
		$classes_dir = realpath(plugin_dir_path( __FILE__ )) . DIRECTORY_SEPARATOR;
		$class_file = str_replace('\\', DIRECTORY_SEPARATOR, $class_name) . '.php';
		require_once $classes_dir . $class_file;
	}
});

if(is_admin()) {
	// Admin class loading
	$settings_admin = new Admin\Settings;
	$tracking_admin = new Admin\Tracking;
	$shipping_admin = new Admin\Shipping;
} else {
	$tracking = new Tracking();
}

